<?xml version='1.0' encoding='UTF-8' ?>

<!--Generated by XML Authority-->

<!ELEMENT ArgusDataStream (ArgusFlowRecord* , ArgusManagementRecord* , ArgusDataStream.End)>

<!ATTLIST ArgusDataStream  BeginDate       CDATA     #REQUIRED
                             BeginTime       CDATA     #REQUIRED
                             BeginTimeusec   CDATA     #REQUIRED
                             CurrentDate     CDATA     #REQUIRED
                             CurrentTime     CDATA     #REQUIRED
                             CurrentTimeusec CDATA     #REQUIRED
                             MajorVersion    CDATA     #REQUIRED
                             MinorVersion    CDATA     #REQUIRED
                             InterfaceType   NMTOKEN   #REQUIRED
                             InterfaceStatus NMTOKEN   #REQUIRED
                             SourceId        CDATA     #REQUIRED
                             NetAddr         CDATA     #REQUIRED
                             NetMask         CDATA     #REQUIRED
                             a-dtype         NMTOKENS  'BeginDate       date
                                                        BeginTime       time
                                                        BeginTimeusec   i4
                                                        CurrentDate     date
                                                        CurrentTime     time
                                                        CurrentTimeusec i4
                                                        MajorVersion    ui1
                                                        MinorVersion    ui1' >
<!ELEMENT ArgusManagementRecord EMPTY>

<!ELEMENT ArgusFlowRecord (FlowEncaps? , MACAddrs? , Flow , IPAddrNames? , FlowAttrs? , ExtFlow? , Metrics , ArgusUserData? , ArgusTimeStats?)>

<!ATTLIST ArgusFlowRecord  ArgusSourceId  CDATA     #REQUIRED
                             SequenceNumber CDATA     #REQUIRED
                             Cause          NMTOKEN   #REQUIRED
                             StartDate      CDATA     #REQUIRED
                             StartTime      CDATA     #REQUIRED
                             StartTimeusecs CDATA     #REQUIRED
                             LastDate       CDATA     #REQUIRED
                             LastTime       CDATA     #REQUIRED
                             LastTimeusecs  CDATA     #REQUIRED
                             Duration       CDATA     #REQUIRED
                             TransRefNum    CDATA     #REQUIRED
                             a-dtype        NMTOKENS  'SequenceNumber ui4
                                                       StartDate      date
                                                       StartTime      time
                                                       StartTimeusecs i4
                                                       LastDate       date
                                                       LastTime       time
                                                       LastTimeusecs  i4
                                                       Duration       float
                                                       TransRefNum    ui4' >
<!ELEMENT FlowEncaps (MPLS | VLAN)>

<!ELEMENT MPLS EMPTY>

<!ATTLIST MPLS  SrcLabel CDATA     #IMPLIED
                  DstLabel CDATA     #IMPLIED
                  a-dtype  NMTOKENS  'SrcLabel bin.hex
                                      DstLabel bin.hex' >
<!ELEMENT VLAN EMPTY>

<!ATTLIST VLAN  Type    NMTOKEN   #REQUIRED
                  SrcVid  CDATA     #IMPLIED
                  DstVid  CDATA     #IMPLIED
                  a-dtype NMTOKENS  'SrcVid bin.hex
                                     DstVid bin.hex' >
<!ELEMENT Flow (ICMP | Mac | Arp | Rarp | Esp | IP)*>

<!ELEMENT IP EMPTY>

<!ATTLIST IP  Proto     CDATA     #IMPLIED
                SrcIPAddr CDATA     #IMPLIED
                Dport     CDATA     #IMPLIED
                Sport     CDATA     #IMPLIED
                DstIPAddr CDATA     #IMPLIED
                IpId      CDATA     #IMPLIED
                a-dtype   NMTOKENS  'Dport ui2
                                     Sport ui2
                                     IpId  bin.hex' >
<!ELEMENT Esp EMPTY>

<!ATTLIST Esp  Proto     NMTOKEN   #REQUIRED
                 SrcIPAddr CDATA     #IMPLIED
                 DstIPAddr CDATA     #IMPLIED
                 Spi       CDATA     #IMPLIED
                 a-dtype   NMTOKENS  'Spi ui2' >
<!ELEMENT ICMP EMPTY>

<!ATTLIST ICMP  Proto     CDATA    #REQUIRED
                  SrcIPAddr CDATA    #IMPLIED
                  IcmpType  NMTOKEN  #REQUIRED
                  DstIPAddr CDATA    #IMPLIED
                  IcmpCode  NMTOKEN  #IMPLIED
                  IcmpData  CDATA    #IMPLIED >
<!ELEMENT Arp EMPTY>

<!ATTLIST Arp  SrcArpAddr     CDATA  #REQUIRED
                 TargetArpAaddr CDATA  #REQUIRED
                 ArpMacAddr     CDATA  #REQUIRED >
<!ELEMENT Rarp EMPTY>

<!ELEMENT Mac EMPTY>

<!ATTLIST Mac  SrcMacAddr CDATA  #IMPLIED
                 DstMacAddr CDATA  #IMPLIED
                 NetProto   CDATA  #IMPLIED
                 Ssap       CDATA  #IMPLIED
                 Dsap       CDATA  #IMPLIED >
<!ELEMENT FlowAttrs EMPTY>

<!ATTLIST FlowAttrs  Status     CDATA     #IMPLIED
                       SrcOptions CDATA     #IMPLIED
                       DstOptions CDATA     #IMPLIED
                       SrcTOS     CDATA     #REQUIRED
                       DstTOS     CDATA     #REQUIRED
                       SrcTTL     CDATA     #REQUIRED
                       DstTTL     CDATA     #REQUIRED
                       a-dtype    NMTOKENS  'SrcTOS bin.hex' >
<!ELEMENT MACAddrs EMPTY>

<!ATTLIST MACAddrs  Status  CDATA  #IMPLIED
                      SrcAddr CDATA  #REQUIRED
                      DstAddr CDATA  #REQUIRED >
<!ELEMENT ExtFlow (TCPExtFlow | ICMPExtFlow | FragExtFlow | EspExtFlow)>

<!ELEMENT TCPExtFlow (TCPExtMetrics)>

<!ATTLIST TCPExtFlow  TCPState     CDATA     #REQUIRED
                        TCPOptions   CDATA     #REQUIRED
                        AckDatauSecs CDATA     #REQUIRED
                        SynAckuSecs  CDATA     #REQUIRED
                        a-dtype      NMTOKENS  'AckDatauSecs ui4
                                                SynAckuSecs  ui4' >
<!ELEMENT ICMPExtFlow EMPTY>

<!ELEMENT FragExtFlow EMPTY>

<!ELEMENT EspExtFlow EMPTY>

<!ATTLIST EspExtFlow  SrcEspLastSeq     CDATA     #REQUIRED
                        SrcEspDroppedPkts CDATA     #REQUIRED
                        DstEspLastSeq     CDATA     #REQUIRED
                        DstEspDroppedPkts CDATA     #REQUIRED
                        a-dtype           NMTOKENS  'SrcEspLastSeq     ui4
                                                     SrcEspDroppedPkts ui4
                                                     DstEspLastSeq     ui4
                                                     DstEspDroppedPkts ui4' >
<!ELEMENT TCPExtMetrics EMPTY>

<!ATTLIST TCPExtMetrics  DstTCPRetrans  CDATA     #REQUIRED
                           DstTCPBytes    CDATA     #REQUIRED
                           SrcTCPRetrans  CDATA     #REQUIRED
                           DstTCPFlags    CDATA     #REQUIRED
                           DstTCPAckBytes CDATA     #REQUIRED
                           DstTCPWin      CDATA     #REQUIRED
                           DstTCPSeqBase  CDATA     #REQUIRED
                           SrcTCPBytes    CDATA     #REQUIRED
                           SrcTCPSeqBase  CDATA     #REQUIRED
                           SrcTCPFlags    CDATA     #REQUIRED
                           SrcTCPWin      CDATA     #REQUIRED
                           SrcTCPAckBytes CDATA     #REQUIRED
                           a-dtype        NMTOKENS  'DstTCPRetrans  ui4
                                                     DstTCPBytes    ui4
                                                     SrcTCPRetrans  ui4
                                                     DstTCPAckBytes ui4
                                                     DstTCPWin      ui4
                                                     DstTCPSeqBase  ui4
                                                     SrcTCPBytes    ui4
                                                     SrcTCPSeqBase  ui4
                                                     SrcTCPWin      ui4
                                                     SrcTCPAckBytes ui4' >
<!ELEMENT Metrics EMPTY>

<!ATTLIST Metrics  SrcCount    CDATA     #REQUIRED
                     DstCount    CDATA     #REQUIRED
                     SrcBytes    CDATA     #REQUIRED
                     DstBytes    CDATA     #REQUIRED
                     SrcAppBytes CDATA     #REQUIRED
                     DstAppBytes CDATA     #REQUIRED
                     a-dtype     NMTOKENS  'SrcCount    ui4
                                            DstCount    ui4
                                            SrcBytes    ui4
                                            DstBytes    ui4
                                            SrcAppBytes ui4
                                            DstAppBytes ui4' >
<!ELEMENT ArgusTimeStats (SrcActive? , SrcIdle? , DstActive? , DstIdle?)>

<!ELEMENT SrcActive EMPTY>

<!ATTLIST SrcActive  StdDev   CDATA     #REQUIRED
                       MinUsec  CDATA     #REQUIRED
                       MaxUsec  CDATA     #REQUIRED
                       MeanUsec CDATA     #REQUIRED
                       n        CDATA     #REQUIRED
                       a-dtype  NMTOKENS  'MinUsec  ui4
                                           MaxUsec  ui4
                                           MeanUsec ui4
                                           n        i4' >
<!ELEMENT DstActive EMPTY>

<!ATTLIST DstActive  StdDev   CDATA     #REQUIRED
                       MinUsec  CDATA     #REQUIRED
                       MaxUsec  CDATA     #REQUIRED
                       MeanUsec CDATA     #REQUIRED
                       n        CDATA     #REQUIRED
                       a-dtype  NMTOKENS  'MinUsec  ui4
                                           MaxUsec  ui4
                                           MeanUsec ui4
                                           n        i4' >
<!ELEMENT SrcIdle EMPTY>

<!ATTLIST SrcIdle  StdDev   CDATA     #REQUIRED
                     MinUsec  CDATA     #REQUIRED
                     MaxUsec  CDATA     #REQUIRED
                     MeanUsec CDATA     #REQUIRED
                     n        CDATA     #REQUIRED
                     a-dtype  NMTOKENS  'MinUsec  ui4
                                         MaxUsec  ui4
                                         MeanUsec ui4
                                         n        i4' >
<!ELEMENT DstIdle EMPTY>

<!ATTLIST DstIdle  StdDev   CDATA     #REQUIRED
                     MinUsec  CDATA     #REQUIRED
                     MaxUsec  CDATA     #REQUIRED
                     MeanUsec CDATA     #REQUIRED
                     n        CDATA     #REQUIRED
                     a-dtype  NMTOKENS  'MinUsec  ui4
                                         MaxUsec  ui4
                                         MeanUsec ui4
                                         n        i4' >
<!ELEMENT ArgusUserData (SrcData? , DstData?)>

<!ELEMENT SrcData EMPTY>

<!ATTLIST SrcData  Data-Ascii CDATA  #REQUIRED
                     Length     CDATA  #REQUIRED >
<!ELEMENT DstData EMPTY>

<!ATTLIST DstData  Data-Ascii CDATA  #REQUIRED
                     Length     CDATA  #REQUIRED >
<!ELEMENT IPAddrNames EMPTY>

<!ATTLIST IPAddrNames  SrcName    CDATA  #IMPLIED
                         DstName    CDATA  #IMPLIED
                         TargetName CDATA  #IMPLIED >
<!ELEMENT ArgusDataStream.End EMPTY>

<!ATTLIST ArgusDataStream.End  count   CDATA     #REQUIRED
                                 a-dtype NMTOKENS  'count ui4' >
